Package org.apache.wiki.auth.acl

# Class UnresolvedPrincipal

java.lang.Object
org.apache.wiki.auth.acl.UnresolvedPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public final class UnresolvedPrincipal extends Object implements Principal, Serializable
Represents a Principal, typically read from an ACL, that cannot be resolved based on the current state of the user database, group manager, and built-in role definitions. Creating a principal marked "unresolved" allows delayed resolution, which enables principals to be resolved lazily during a later access control check. Conceptually, UnresolvedPrincipal performs a function similar to `UnresolvedPermission`.

Since:
  2.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnresolvedPrincipal(String name)`
Constructs a new UnresolvedPrincipal instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
An unresolved principal is equal to another unresolved principal if their names match.
`String`
`getName()`
Returns the name of the principal.
`int`
`hashCode()`
The hashCode of this object is equal to the hash code of its name.
`String`
`toString()`
Returns a String representation of the UnresolvedPrincipal.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### UnresolvedPrincipal

public UnresolvedPrincipal(String name)
Constructs a new UnresolvedPrincipal instance.

Parameters:
  `name` - the name of the Principal

## Method Details

### getName

public String getName()
Returns the name of the principal.

Specified by:
  `getName` in interface `Principal`
Returns:
  the name
See Also:
  - `Principal.getName()`

### toString

public String toString()
Returns a String representation of the UnresolvedPrincipal.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`
Returns:
  the String

### equals

public boolean equals(Object obj)
An unresolved principal is equal to another unresolved principal if their names match.

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to compare to this one
Returns:
  the result of the equality test
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()
The hashCode of this object is equal to the hash code of its name.

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code